from distutils.log import debug
import flask

app = flask.Flask(__name__)


@app.route("/dist/<m>")
def distServe(m:str):
    return flask.send_from_directory("dist", m)

@app.route("/")
def index():
    import pages
    return flask.render_template("index.html", pages = pages.GenLists)


if __name__ == '__main__':
    app.run(host='0.0.0.0', port=12001, debug=True)

